> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Communities 検索

> Communities Search エンドポイントを使用すると、キーワードで Communities を検索できます。X API v2 standard tier の検索に関するリファレンスです。

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities Search エンドポイントを使用すると、キーワードで Communities を検索できます。関心のあるトピックに関する Communities を見つけましょう。

## 概要

<CardGroup cols={2}>
  <Card title="キーワード検索" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" width="24" height="24" data-path="icons/xds/icon-search.svg">
    名前と説明で Communities を検索
  </Card>

  <Card title="発見" icon="users-rectangle">
    参加する Communities を見つける
  </Card>
</CardGroup>

***

## エンドポイント

| Method | Endpoint                                                         | 説明              |
| :----- | :--------------------------------------------------------------- | :-------------- |
| GET    | [`/2/communities/search`](/x-api/communities/search-communities) | Communities を検索 |

***

## パラメーター

| パラメーター             | 説明                  |
| :----------------- | :------------------ |
| `query`            | 検索クエリ(必須)           |
| `max_results`      | ページあたりの結果数(最大 100)  |
| `community.fields` | 追加の Community フィールド |

***

## リクエスト例

```bash theme={null}
curl "https://api.x.com/2/communities/search?\
query=Python&\
max_results=10&\
community.fields=name,description,member_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

## はじめに

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console の[プロジェクトとアプリ](/resources/fundamentals/developer-apps)
  * アプリの[キーとトークン](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="Communities ルックアップ" icon="users-rectangle" href="/x-api/communities/lookup/introduction">
    ID で Communities をルックアップ
  </Card>

  <Card title="API リファレンス" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/communities/search-communities" width="24" height="24" data-path="icons/xds/icon-code.svg">
    完全なエンドポイントドキュメント
  </Card>
</CardGroup>
